Skip to content
GET /unified/user-directory/activities/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

Unique identifier for the activity.

1 supported
Atlassian
supported
actionstring

Action performed by the user. If no clear mapping is available, then the raw value is returned.

Possible values:
loginlogin_failedlogoutuser_inviteduser_createduser_joineduser_deactivateduser_deleteduser_updatedcreatedestroyexported+ 1 more
1 supported
Atlassian
supported
actorobject

Actor who performed the activity.

1 supported
Atlassian
supported
typestring

Type of the actor.

Possible values:
usersystemanonymous
userobject

User who performed the activity.

1 property
idstring

Unique identifier for the user.

contextobject

Context of the activity.

1 supported
Atlassian
supported
authentication_methodstring

Authentication method used by the user.

ip_addressstring

IP address of the user who performed the activity.

user_agentstring

User agent of the user who performed the activity.

created_atstring · date-time

Date and time when the activity was created.

1 supported
Atlassian
supported
descriptionstring

Description for the activity.

1 supported
Atlassian
supported
entitystring

Unique identifier for the entity on which the action was performed.

entity_typestring

Type of the entity on which the action was performed.

groupstring

Unique identifier for the group the activity belongs to.

organizationstring

Unique identifier for the organization the activity belongs to.

1 supported
Atlassian
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

curl -X GET 'https://api.truto.one/unified/user-directory/activities/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/activities/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/user-directory/activities/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'user-directory',
  'activities',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "user-directory",
        "activities",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())